# Get a Schedule

> Get details of a specific schedule

## Endpoint

`GET https://qstash-{region}.upstash.io/v2/schedules/{scheduleId}`

## Parameters

- `scheduleId` (path, string, required): The ID of the schedule to retrieve.

## Responses

### 200

- `scheduleId` (string, required): Unique identifier for the schedule
- `cron` (string, required): The cron expression used to schedule the message
- `destination` (string, required): The destination URL or URL Group name
- `createdAt` (integer, required): The creation timestamp of the schedule in unix milliseconds
- `method` (string, required): The HTTP method used for the scheduled message
- `header` (object): Map of header names to arrays of header values
- `body` (string): The body of the scheduled message
- `retries` (integer): The number of retries for the scheduled message
- `delay` (integer): The delay in seconds before the scheduled message is sent
- `callback` (string): The callback URL for the scheduled message
- `failureCallback` (string): The failure callback URL for the scheduled message
- `callerIp` (string): The IP address of the client that created the schedule
- `isPaused` (boolean, required): Whether the schedule is paused
- `flowControlKey` (string): The flow control key used for rate limiting
- `parallelism` (integer): The parallelism value used for flow control
- `rate` (integer): The rate value used for flow control
- `period` (integer): The period value used for flow control
- `retryDelayExpression` (string): The retry delay expression used for calculating retry delays
- `label` (string): The label assigned to the scheduled message. Deprecated in favor of `labels`.
- `labels` (string[]): The list of labels assigned to the scheduled message.
- `lastScheduleTime` (integer): The last time the schedule was triggered in unix milliseconds
- `nextScheduleTime` (integer): The next scheduled trigger time in unix milliseconds
- `lastScheduleStates` (object): The states of the last scheduled messages

### 404 - Schedule not found

- `error` (string, required): Error message

## cURL

```bash
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>'
```
